org.keycloak.common.enums

## Enum RelativeUrlsUsed

- java.lang.Object
- - java.lang.Enum<RelativeUrlsUsed>
  - - org.keycloak.common.enums.RelativeUrlsUsed

- All Implemented Interfaces:
    Serializable, Comparable<RelativeUrlsUsed>

      public enum RelativeUrlsUsed
      extends Enum<RelativeUrlsUsed>

  Author:
    Marek Posolda

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` Always use relative URI and resolve them later based on browser HTTP request
    `NEVER` Relative Uri not used.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RelativeUrlsUsed` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RelativeUrlsUsed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final RelativeUrlsUsed ALWAYS

      Always use relative URI and resolve them later based on browser HTTP request

    - #### NEVER

          public static final RelativeUrlsUsed NEVER

      Relative Uri not used. Configuration contains absolute URI

  - ### Method Detail

    - #### values

          public static RelativeUrlsUsed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelativeUrlsUsed c : RelativeUrlsUsed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelativeUrlsUsed valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All rights reserved.